CVE-2020-25668

HIGH
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

A flaw was found in Linux Kernel because access to the global variable fg_console is not properly synchronized leading to a use after free in con_font_op.

References

https://lists.debian.org/debian-lts-announce/2020/12/msg00027.html

https://lists.debian.org/debian-lts-announce/2020/12/msg00015.html

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit?id=90bfdeef83f1d6c696039b6a917190dcbbad3220

https://www.openwall.com/lists/oss-security/2020/10/30/1,

http://www.openwall.com/lists/oss-security/2020/11/04/3

https://bugzilla.redhat.com/show_bug.cgi?id=1893287,

http://www.openwall.com/lists/oss-security/2020/10/30/1

https://www.openwall.com/lists/oss-security/2020/11/04/3,

Details

Source: MITRE

Published: 2021-05-26

Updated: 2021-06-04

Type: CWE-362

Risk Information

CVSS v2

Base Score: 6.9

Vector: AV:L/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 3.4

Severity: MEDIUM

CVSS v3

Base Score: 7

Vector: CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1

Severity: HIGH

Tenable Plugins

View all (40 total)

IDNameProductFamilySeverity
150536SUSE SLES11 Security Update : kernel (SUSE-SU-2021:14630-1)NessusSuSE Local Security Checks
high
147978Ubuntu 20.04 LTS / 20.10 : Linux kernel vulnerabilities (USN-4751-1)NessusUbuntu Local Security Checks
high
147690EulerOS Virtualization 2.9.0 : kernel (EulerOS-SA-2021-1642)NessusHuawei Local Security Checks
high
147588EulerOS Virtualization for ARM 64 3.0.2.0 : kernel (EulerOS-SA-2021-1386)NessusHuawei Local Security Checks
high
147512EulerOS Virtualization 2.9.1 : kernel (EulerOS-SA-2021-1604)NessusHuawei Local Security Checks
high
146476SUSE SLES12 Security Update : kernel (SUSE-SU-2021:0437-1)NessusSuSE Local Security Checks
high
146282openSUSE Security Update : RT kernel (openSUSE-2021-242)NessusSuSE Local Security Checks
high
145005Amazon Linux AMI : kernel (ALAS-2021-1461)NessusAmazon Linux Local Security Checks
medium
144837OracleVM 3.4 : Unbreakable / etc (OVMSA-2021-0001)NessusOracleVM Local Security Checks
high
144802Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2021-9002)NessusOracle Linux Local Security Checks
high
144752Ubuntu 16.04 LTS : Linux kernel vulnerabilities (USN-4681-1)NessusUbuntu Local Security Checks
high
144750Ubuntu 18.04 LTS / 20.04 LTS : Linux kernel vulnerabilities (USN-4679-1)NessusUbuntu Local Security Checks
medium
144749Ubuntu 16.04 LTS / 18.04 LTS : Linux kernel vulnerabilities (USN-4680-1)NessusUbuntu Local Security Checks
medium
144693EulerOS 2.0 SP9 : kernel (EulerOS-SA-2021-1028)NessusHuawei Local Security Checks
high
144687EulerOS 2.0 SP9 : kernel (EulerOS-SA-2021-1009)NessusHuawei Local Security Checks
high
144494Debian DLA-2494-1 : linux security updateNessusDebian Local Security Checks
high
144464Amazon Linux AMI : kernel (ALAS-2020-1462) (deprecated)NessusAmazon Linux Local Security Checks
high
144313openSUSE Security Update : the Linux Kernel (openSUSE-2020-2260)NessusSuSE Local Security Checks
medium
144210Oracle Linux 7 / 8 : Unbreakable Enterprise kernel (ELSA-2020-5996)NessusOracle Linux Local Security Checks
high
144207Oracle Linux 7 : Unbreakable Enterprise kernel (ELSA-2020-5995)NessusOracle Linux Local Security Checks
high
144168EulerOS 2.0 SP8 : kernel (EulerOS-SA-2020-2514)NessusHuawei Local Security Checks
medium
144101SUSE SLED15 / SLES15 Security Update : kernel (SUSE-SU-2020:3748-1)NessusSuSE Local Security Checks
medium
144097Debian DLA-2483-1 : linux-4.19 security updateNessusDebian Local Security Checks
high
143875SUSE SLES15 Security Update : kernel (SUSE-SU-2020:3532-1)NessusSuSE Local Security Checks
high
143860SUSE SLES12 Security Update : kernel (SUSE-SU-2020:3717-1)NessusSuSE Local Security Checks
medium
143857SUSE SLES12 Security Update : kernel (SUSE-SU-2020:3544-1)NessusSuSE Local Security Checks
high
143856SUSE SLED15 / SLES15 Security Update : kernel (SUSE-SU-2020:3507-1)NessusSuSE Local Security Checks
high
143802SUSE SLES15 Security Update : kernel (SUSE-SU-2020:3513-1)NessusSuSE Local Security Checks
high
143780SUSE SLES15 Security Update : kernel (SUSE-SU-2020:3522-1)NessusSuSE Local Security Checks
high
143755SUSE SLES12 Security Update : kernel (SUSE-SU-2020:3651-1)NessusSuSE Local Security Checks
high
143692SUSE SLES12 Security Update : kernel (SUSE-SU-2020:3648-1)NessusSuSE Local Security Checks
high
143639SUSE SLES12 Security Update : kernel (SUSE-SU-2020:3503-1)NessusSuSE Local Security Checks
high
143619SUSE SLES12 Security Update : kernel (SUSE-SU-2020:3715-1)NessusSuSE Local Security Checks
medium
143589Amazon Linux 2 : kernel (ALAS-2020-1566)NessusAmazon Linux Local Security Checks
medium
143398openSUSE Security Update : the Linux Kernel (openSUSE-2020-2112)NessusSuSE Local Security Checks
high
143248Photon OS 3.0: Linux PHSA-2020-3.0-0163NessusPhotonOS Local Security Checks
high
143065Photon OS 1.0: Linux PHSA-2020-1.0-0338NessusPhotonOS Local Security Checks
high
142991Photon OS 2.0: Linux PHSA-2020-2.0-0296NessusPhotonOS Local Security Checks
high
142945openSUSE Security Update : the Linux Kernel (openSUSE-2020-1906)NessusSuSE Local Security Checks
high
142921openSUSE Security Update : the Linux Kernel (openSUSE-2020-1901)NessusSuSE Local Security Checks
high